Subject: Re: [INSTALL][CHROOT] Ethernet module/driver is not loaded after install from chroot

From: Sevan Murriguian-Watrin <[email-masked]>
Date: Mon, 27 Apr 2020 18:01:38 +0200

Hello Daniel,

On 4/2/20 8:25 PM, Daniel Kulesz wrote:
> Hi Sevan,
>
> I recommend the following approach (assuming you are using a x86 or
> amd64 server) that worked for me in a similar setting:
>
> - install alpine on another machine (or in a VM) using the "sys"
> variant
> - boot some live system
> - mount the previously installed alpine and create a tar archive of
> the whole installation (be careful to include /boot as well which
> might be on a separate partition)
> - transfer the tar archive to your target machine
> - unpack the tar archive
> - chroot into the installation
> - install the bootloader
>
> Cheers, Daniel

Thanks for the reply.

I finally found what was the main problem on my Alpine installs. As
stated on the wiki[1], you need to enable some open-rc services to
finish the installation. This tutorial was quite helpful on that
matter[2]. It's more practical than building a new tar archive whenever
I need to install a system.

[1]
https://wiki.alpinelinux.org/wiki/Alpine_Linux_in_a_chroot#Perform_init_process
[2]
https://nicolas.porcel.me/posts/2017-05-11-how-to-install-alpine-on-ovh.html

Regards,

--
Sevan